Subject: Re: Interoperability Problems cause by XID Command/Response

From: "jim (j.) cobban" <[email-masked]>
Date: Mon, 29 Jan 1996 14:01:00 -0500

In message "Re: Interoperability Problems cause by XID Command/Response", 
you write:

>Jim,
>
>> For example we have been having difficulty connecting to implementations
>> using DCLs SNAP-LLC2.  DCL, noting that VTAM has this penchant for ignoring
>> XID Commands, has chosen to send all of its XIDs as RESPONSES!  The problem
>
>Our implementation would also have problems dealing with an XID RSP
>only approach. As you mentioned, the normal action is to discard RSPs
>received that have final set when no CMD is outstanding, which is
>indeed what we would do. If, however, final is not set, it would be
>passed to CS. I believe this is as per the TR referrence, although it
>is sometime difficult to tell, because the suggested implementation
>includes vague text such as "inform higher layer". 
>
>Do these XIDs have final set ?

The XIDs do have final set, that is the command code is BF rather than AF.

I must offer an apology to DCL.  The device on which we encountered this
problem is the DCL OS/2 demo system.  I had assumed that it used their
SNAP-LLC2 product, but it appears that on this demo system they use the OS/2
CCB API.  Therefore it is OS/2 CM which is chosing to send responses.